EZ Data Logger

EZ Data Logger is a small data logger software. It can be applied to small remote I/O system. With its user-friendly interface, users can quickly and easily build a data logger software without any programming skill.

Download:

http://www.icpdas.com/products/Software/ez_data_logger/ez_data_logger.html


Features

Main Features

  • Support DCON, Modbus RTU, Modbus Ascii, Modbus TCP ( IP and Domain Name) protocols

  • Support mutiple COM Ports and TCP/IP connections

  • Support Virtual Channel definition
    User can operate the data into the virtual channel by channel tag names easily.
    For example: VC1 = (AI_2 + AI_3) / 2
  • Support Control Logic (VB Script)
    User can edit the script to set the output values or to caculate data into virtual channels.
    You can get/set the channel values by channel tag names.
    For example : If AI_0 > 50 Then DO_0 = 1

  • Support Alarm Notifier (by sending SMS or E-Mail)
    User can set the engineer's cell phone number and email address. When the channel value over the alarm value or back to normal, the contact messanger will send a message by SMS (using GSM Modem) or by E-Mail(using ethernet).

  • Flexible module configuration
    Each module and I/O point can have different description and color

  • Flexible workgroup configuration
    Each channel can be assigned to any workgroup.

  • Real time data trend (with zoom in and zoom out)
    Each trend line can store more than 86400 records.

  • Layout view
    User can set back picture and drag-drop I/O points to the mapping place. User can also change the channel layout object as Linear Gauge, Angular Gauge, Toggle, Number LED.....

  • IP Camera Viewer
    User can add an IP camera's web address, and then add it to group. Then the layout display will show the web page in a sub window.

  • Access database supported
    The database also can be exported to Excel file or CVS file

  • Reporter
    Can print the trend line or data from the database

  • High/Low alarm with audio warning
    Each AI channel can have its own high/low limitation. Once the AI value over high limitation or below low limitation, the alarm light will be triggered with audio. The alarm status will keep warning till users switch off the alarm light.

  • Can search for DCON modules and M7000 serial modules
    For DCON modules,7000, 87K, 8000 modules can be searched.
    For Modbus RTU modules,M7000 serial modules can be searched and automatic setting the gain and offset.

  • Value scaling
    Set gain and offset can scal analog values from volt or amp unit to another physical measurement unit.
    Include calculating function( given 2 points to calculate the gain and offset).
    For example: rpm for rotation, kg for weight.

  • Support 3 level user
    Admin:Full control
    Power User: Can start to run or stop running project. Can set AO/DO value.
    User:Can only switch the group to display.

  • Programming skill needless
    All operation are done by click mouse and enter value.


Module Supported

Supported Module

  • DCON modules (I-7000, I-87K, I-8000 series)
    I-7000 Remote I/O Module
    I-8000 Main Control Unit
    8K and 87K I/O Modules
  • Modbus/TCP
    I-8000E-MTCP
    I-8000E-MTCP Support modules
    ET-6000
    ET-7000
    ISaGRAF controllers ( I-8417/8817/8437/8837, I-7188EG, I-7188XG, Wincon-8x37 )
    7188E-MTCP
    £gPAC-7186EX-MTCP
    I-7188EF-016 Ethernet to FRnet Convert
    I-7243D Modbus TCP server/DeviceNet Master Gateway
  • Modbus/RTU
    M-7000 series
  • Devices with Modbus RTU, Modbus Ascii, Modbus TCP protocols


Limitation

  • Most 32 channels for each work group
  • One ICPDAS Modbus device to active other modbus drivers (see.Q2 )


Quick Start

  • Step 5.1 Configure System
  • Step 5.2 Group Setup
  • Step 5.3 Start to run(or simulation)
    • Step 5.3.1 Gauge display
    • Step 5.3.2 Trend line display
    • Step 5.3.3 Layout display
  • Step 5.4 Open Database


Configure System

Display mode:

  • Numeric:Log data by list. The minimum sampling time is 0.01 sec.
  • Date/Time:Log data by time. The minimun sampling time is 1 sec.

    The X-axis of the trend are different

    Numeric Mode
    Date/Time Mode

Sampling time:
The time interval of scaning IO channels, updating database, and display values.

Graph XAxis(minute):
The span of the trend display.

Display Buffer Size:
Maximum points of each trend line.

Data Format:
The format of the display values.

Auto start when excute:
Set enabled to auto start logging. You can create a shortcut in Windows=>"Start"=>"Start up" to logging data when computer power on.

Save Interval:
Time interval of saving data in database(a multiple of sampling time).

Record Time:
EZ Data Logger will create a new database when record time is up.

Database File Path:
Auto renamed by Datayyyymmdd_hh.mdb when record time is up(yyyy:year mm:month dd:day hh:hour).
The database will be saved in the path.


2.Group setup

Group Setup

Step 5.2.1 Install driver
Step 5.2.2 Add device
Step 5.2.3 Modify channels and add to group
Step 5.2.4 Workgroup property


2.1 Install driver

Install driver

Driver List
You can Install a DCON / Modbus serial / Modbus TCP driver here.
Install a driver
Modify the selected driver
Delete the selected driver (You can not delete a driver if the driver is in use)


Install a DCON driver

Driver Mode: DCON

Time Out(ms): 200 (Default)(Modifiable)

COM Port: Select one connection COM Port (Unmodifiable). You can not install another driver at the same COM Port.

BaudRate: 115200 (Default)(Modifiable)

Checksum: Disable (Default)(Modifiable)

Install: Install the driver, and only modifiable configurations can be changed after installation.

Modify: Save the modified configurations.

Search: To search for DCON modules and add them after stop searching.

+Device: To addd DCON modules by user define. See 5.2.2 Add Device DCON.

Device List: List all the devices which are using the driver.


Install a Modbus serial driver

Driver Mode: Modbus serial

Time Out(ms): 400 (Default)(Modifiable)

Mode: RTU or ASCII

COM Port: Select one connection COM Port (Unmodifiable). You can not install another driver at the same COM Port.

BaudRate: 115200 (Default)(Modifiable)

Data Bits: 8 (Default)(Modifiable)

Parity: 0-NoneParity (Default)(Modifiable)

Stop Bit: 1 (Default)(Modifiable)

Delay Between Polls: The delay time between last response and the new request.

Modify: Save the modified configurations.

Search: To search for M7000 modules and add them after stop searching.

+Device: To addd DCON modules by user define. See 5.2.2 Add Device Modbus Serial.

Device List: List all the devices which are using the driver.


Install a Modbus TCP driver

Driver Mode: Modbus TCP

Time Out(ms): 1500 (Default)(Modifiable)

Host: IP Address or domain name.

Port: Connection TCP port.

Modify: Save the modified configurations.

Search: Disable.

+Device: To addd DCON modules by user define. See 5.2.2 Add Device Modbus TCP.

Device List: List all the devices which are using the driver.


2.2 Add Device

Add Device

Device List
You can add a DCON / Modbus serial / Modbus TCP device here.
Add a device
Modify the selected device
Delete the selected device


Add a DCON Device

Select option "DCON Device" and click

Select a driver => input the necessary argument =>click

Option difference:

 | 7K | 87K on 87K4/87K8 | 87K on 8431/8831 | 8K
Slot | X | X | 0~7 | 0~7

Module: You can select a DCON dvice, and the IO numbers will be automatic inputed.

Nickname: You can give the device a nickname to identify.

Address: The network ID number on the RS-485 network.

Slot: Slot number (for 8000 MCU).

AI Num: Analog input channel number.

AO Num: Analog output channel number.

DI Num: Digital input channel number.

DO Num: Digital output channel number.

DI Counter Num: DI counter channel number.

Frequency Num: Frequency channel number.

Description: Can be showed with the tooltip on device state.

You can modify the nickname or description later.


Add a Modbus Serial Device

Select option "Modbus/RTU" and click

Select a driver => input the necessary argument =>click

Slave ID: The modbus ID number.

Module: You can select an ICPDAS M7000 series module.

Nickname: You can give the device a nickname to identify.

Description: Can be showed with the tooltip on device state.

0xxxx Coils (DO): From start address to end address.

1xxxx Discrete Input (DI): From start address to end address.

3xxxx Input Registers (AI): From start address to end address.

4xxxx Holding Registers (AO): From start address to end address.

Address format: Dec for decimal, Hex for hexadecimal.

Base Address: 0 or 1.

You can modify the nickname or description later.


Add a Modbus TCP Device

Select option "Modbus/TCP" and click

Select a driver => input the necessary argument =>click

Nickname: You can give the device a nickname to identify.

Description: Can be showed with the tooltip on device state.

Slave ID: The modbus ID number.

0xxxx Coils (DO): From start address to end address.

1xxxx Discrete Input (DI): From start address to end address.

3xxxx Input Registers (AI): From start address to end address.

4xxxx Holding Registers (AO): From start address to end address.

Address format: Dec for decimal, Hex for hexadecimal.

Base Address: 0 or 1.

You can modify the nickname or description later.


Modify Channels and Add to Group

Each channel can be assigned to any workgroup.

Click [image] to add selected channels to workgroup.

Click [image] to set the nickname, gain, offset, high/low alarm, or description.

After you change the settings ,click [image] to save.

Nickname: You can give the channel a nickname to identify.

Tag: Tag name can be used in virtual chanel and control logic. (Notice : The tag name must lead with character a~z(or A~Z), the leading character can not be numbers)

Description: Can be showed with the tooltip on display object.

Gain and Offset: Set Gain and Offset can scale the values to any unit you want.

Caculate: Click [image] to caculate the gain and offset by point1 and point2. see Q&A.

High/Low Alarm: Each AI channel can have its own high/low limitation. Once the AI value over high limitation or below low limitation, the alarm light will be triggered with audio. The alarm status will keep warning till users switch off the alarm light.

Init Value: The begining value of virtual channel.

Operation: The operation of virtual channel.

Display Mode: You can choose the channel loyout object here. (Text Box / Angular Gauge / Linear Gauge / Perecent / Number LED / Toggle)

Style List: You can choose the style of the layout object.


Workgroup Property

You can add or delete workgroup here. Each workgroup can be assigned maximum 32 channels.

: Add a workgroup.

: Delete a workgroup.

: Set workgroup name and automatic display.

: Clear all channels.

: Back to home.

Workgroup Property setting:

Group name: You can give the workgroup a name to identify.

Open when excute: Set enabled to automatic open when EZ Data Logger excute.


Workgroup Property

Project

The project include a configuration file, a script file, and a folder for layout back picture, You can:

New Project: Open a new project.

Open Project: Open other project.

Save Project As: Save current project as another.


Workgroup Property

Security

If you do not want the end user to change the configurations, you can set the password to disable "System Config" and "Group Setup" button.

Set Password:

Password protection: Click logout to disable these buttons. Every time to excute EZ Data Logger will disable these buttons also.

Login: Click login to enable these two buttons. Set password empty to disable password protection.


Screen

Strat to Run

Start to run. Start to display data and log.

Stop running.

Simulation data to display and log.

Stop simulation.

Pause all trend display.

Continue all trend display.

Stop record data to database.

Record data to database.


Gauge

Gauge Display

Click "Gauge" button on main form to show gauge display.

Range (AIMax / AIMin): To change the range of the gauge

<<: Exchange to last workgroup.

>>: Exchange to next workgroup.

Trend: Exchange to trend display.

Layout: Exchange to layout display.

Hide: Hide and show the main form.

AO

Channel switch button: If there are more than 8 analog channels, click channel switch button to exchange.

Alarm light: The light will turn on when the value higher/lower than high/low alarm.(Latched)

Switch: Click to turn off the alarm light. If there is any alarm light on, EZ Data Logger will play an audio warning.


Trend

Trend Display

Click "Trend" button on main form to show trend display.

Display(Pause/Continue): Pause/Continue the trend going.

Print: Print the trend.

Axis: To set the Y-Max, Y-Min, and XAxis(minute).

Backcolor: To set the backcolor of the trend.

SelectAll: Show all trend line.

SelectNone: Hide all trend line.

<<: Exchange to last workgroup.

>>: Exchange to next workgroup.

Gauge: Exchange to gauge display.

Layout: Exchange to layout display.

Hide: Hide and show the main form.

Scroll button: For zoom in and zoom out.

Value: Click the value grid to show the form for setting AO/DO or reseting counter.

Track: Click the track grid to change the trend line to another track.

Color: Click the color grid to change the trend line color( You can not change the color when start logging ).

Check box: =>show the trend line, [image] =>hide the trend line.

Cursor Mode: Set display pause to change trend to cursor mode. Then you can click the trend to show the before values .


Trend

Layout Display

Click "Layout" button on main form to show layout display.

Picture(Back Picture): To set the back picture of the form. Support *.jpg, *.bmp.

Picture(Disable Back Picture): Clear back picture.

Reset Position: Reset all objects' position.

Font Color: To set the labels' color.

<<: Exchange to last workgroup.

>>: Exchange to next workgroup.

Gauge: Exchange to gauge display.

Trend: Exchange to trend display.

Hide: Hide and show the main form.

Mouse Right Click menu:

Manual : Enable mouse control ( mouse control the output value)

Auto : Disable mouse control ( the output value will be set by control logic )

Properties : Shows the channel's properties.

Set Decimals : Set the value's decimals.

Set Unit : Set display unit.

Display value example: (Value = 123.456)

Decimals | Unit | Display
0 | ¢J | 123 ¢J
1 | ¢K | 123.5 ¢K
2 | kg | 123.46 kg
3 | V | 123.456 V

Set Scale Max: to set gauge's scale max(Linear Gauge, Angular Gauge)

Set Scale Min: to set gauge's scale min(Linear Gauge, Angular Gauge)


Trend

Open Database

Open database can plot the trend with the earlier database, and export the data to an excel file, or a CSV file.

Print: Print the trend or the table(maximum 12 channels).

SelectAll: Show all trend line.

SelectNone: Hide all trend line.

Y-Axis(Max/Min): To set the Y-Max, Y-Min.

X-Axis: To set the span of the trend display.

Backcolor: To set the backcolor of the trend.

3 Steps to open database and plot the trend.

Step1. Select a database: Click the database list or click [image] to open a database in other directory.

Step2. Select a workgroup: Click the workgroup list.

Step3. Scroll the pointer to choose time range. Then you can click "Load Trend" to plot the trend, or click "Load Table" to load the data table.

Print the trend or the table.

Export to Excel or CSV.

Trend: Click the trend can show the cursor values on the left table.

Table: Click the check box on the left side to show/hide the row of the channel.


Virtual Channel

User can operate the data into the virtual channel by channel tag names easily.

Set virtual channel numbers: (Maximum 256 channels)

Set virtual channel operation:

  1. Virtual Channels are operational. You can use the tag names to operate the virtual channel value.

    Example:

    VC0 = (AI_1 + AI_2) / 2

    VC1 = AI_3 ^ 2 * 100

    VC2 = DO_0 And DO_1

    VC3 = Abs(AI_6)

  2. Operators
    multiply *
    divide /
    plus +
    minus -
    power ^
    logic operators Not, And, Or, Xor....

  3. Usable functions
    You can use these functions in script

    Sin(number) | Returns the sine of a specified number (radian)
    Cos(number) | Returns the cosine of a specified number (radian)
    Tan(number) | Returns the tangent of a specified number (radian)
    Atn(number) | Returns the arctangent of a specified number (radian)
    Abs(number) | Returns the absolute value of a specified number
    Sqr(number) | Returns the square root of a specified number

  4. Initial Value
    The initial value at start running.


Control Logic

Control Logic uses the VB script. You can edit the script to set the output values or to caculate data into virtual channels. You can get/set the channel values by channel tag names.

If you active the control logic, EZ Data Logger will set the AO/DO automatically. And when you start to run, the mouse control of the layout object which is used in script will be disabled. If you want to stop automatical control, you can mouse right click the layout object, and then select "Control". Please refer to Layout Display Mouse Right Click menu:

Statments :

You can use these If...Then... , For....Next, statments in script.

If condition1 Then
¡@[statementblock-1]
ElseIf condition2 Then
¡@[statementblock-2]] ...
Else
¡@[statementblock-n]]
End If

Variables :

You can use these updated variables in script.

iYear : | year
iMonth : | month
iDay : | day
iHour : | hour
iMinute : | minute
iWeekDay : | weekday (Sunday = 1, Monday = 2, Tuesday = 3.....Saturday = 7)
Now : | Returns the current system time
Timer : | The Timer function returns the number of seconds since 12:00 AM.
Msg : | If Msg is not null, it will be print in the main warning text.

Const :

You can use these const variables in script.

Const
Sunday
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday

Functions :

You can use these functions in script.

Sin(number) | Returns the sine of a specified number (radian)
Cos(number) | Returns the cosine of a specified number (radian)
Tan(number) | Returns the tangent of a specified number (radian)
Atn(number) | Returns the arctangent of a specified number (radian)
Abs(number) | Returns the absolute value of a specified number
Sqr(number) | Returns the square root of a specified number

Demo :

'Set DO Alarm
If AI_5 > 100 Then
¡@DO_3 = 1
¡@Msg="High Alarm"
End If

'Record max value
If AI_2 > VC0 Then
¡@VC0 = AI_2
¡@Msg = "AI_2 Max Value is " & VC0
End IF

'Caculate the average and set it to AO_2
AO_2 = ( AI_1 + AI_2 + AI_3 ) / 3

'Use the global virables. Turn off AirConditioning on Sunday, and Saturday.
If iWeekDay = Saturday Or iWeekDay = Sunday Then
¡@AirConditioning = 0
Else
¡@ AirConditioning = 1
End If

'Use logic Operator
DO_3 = DI_2 And DI_3


IP Camera Viewer

IP Camera viewer use the web browser to show. You can add an IP camera web address, then resize the viewer and scroll the windows to fit the camera pucture. After all, add the IP camera to group. Then Layout display will show the IP camera page in a sub windows.

In layout display:

: Save the IP camera's window as a jpg picture in "capture\group name\camera name" folder.

: Refresh the web page.


Alarm Notifier

Alarm Notifier(by sending SMS or E-Mail)

User can set the engineer's cell phone number and email address. When the channel value over the alarm value or back to normal, the contact messanger will send a message by SMS (using GSM Modem) or by E-Mail(using ethernet).

Mail notify configuration

SMS notify configuration

Edit the contact list

Set the alarm to notify

Mail & SMS Sender

Mail notify configuration:

1. Edit the MailNotifier driver: set SMTP server, sender's e-mail, name, and the mail's head text.

SMS notify configuration :

1. Connect a GSM modem to your COM port. (your GSM modem have to support PDU mode)

2. Install a GSM modem driver.

3. Add a GSM device, then edit the SMS head text.

Edit the contact list.

Set the alarm to notify:

1.Select the AI channels, and click "Modify".

2.Select the alarm contact to.

Mail & SMS Sender:

Mail & SMS Sender can send the the e-mail and SMS. It will be minimized to the system icon tray.

Mouse right click to show the main form.

You can enable/disable the mail/SMS sending.


User Level

From menu "Uset" => "SetPassWord", you can set the password of admin and power user.

 | Admin | Power User | User
Modify the project | ● | ○ | ○
Account management | ● | ○ | ○
Start/Stop projects | ● | ● | ○
Set AO/DO values | ● | ● | ○
Switching group pages | ● | ● | ○

●：allowed ○：not allowed

Admin : All permissions.

Power User : Run/Stop program, Set DO/AO value.

User : Switch groups to show.(No password)

You will log in as the level that password is null at beginning.

Admin Login: Identify the password, and log in as admin.

Power User Login:Identify the password, and log in as power user.


Q and A

Q&A

Q1.How do I display the analog values in another unit, for example kg?

Set Gain and Offset can scale the values to any unit you want. To obtain the exact Gain and Offset, you have to get two values first, and then use following method to get the final result.

Set "Gain" and "Offset" in "Group setup" .

Caculate in modify channels form: Input the point1 and point2's AI value and display value and clcik caculate to caculate the gain and offset .

Q2.How to active Modbus driver?

When you install Modbus drivers, you have to connect a ICPDAS Modbus device to active all the Modbus drivers. Then the driver can access other Modbus devices, such like PLC.....
Following Modbus device can be connected to active all the Modbus driver.
M7000 serial modules, I-7188EX-MTCP, I-8000-MTCP, ET-6000, ISaGRAF controllers ( I-8417/8817/8437/8837, I-7188EG, I-7188XG, Wincon-8x37 )